Documentation Index
Fetch the complete documentation index at: https://docs.riverside.fm/llms.txt
Use this file to discover all available pages before exploring further.
HTTP Method: GET
URL: /api/v1/download/file/{file_id}
Authentication: Requires API Key in the request header.
Path Parameters:
file_id ID of the file to retrieve. This will be provided when calling the Get Recording endpoint.
Response: The media file.
Rate limit: Once every 10 seconds per unique request.
Status Codes:
200 OK Recording retrieval successful.
401 Unauthorized Authentication failed.
404 Not Found Recording not found.
Sample Request
GET /api/v1/download/file/{file_id} HTTP/1.1
Host: platform.riverside.fm
Authorization: BEARER YOUR_API_KEY
Sample Response
connection: keep-alive
content-disposition: attachment; filename="riverside_dev_admin_raw-audio_david_25009e's%20stud_0001.wav"
content-type: audio/x-wav
date: Thu,04 Jul 2024 13:08:17 GMT
keep-alive: timeout=5
transfer-encoding: chunked
x-powered-by: Express
x-ratelimit-limit: 1
x-ratelimit-remaining: 0
x-ratelimit-reset: 180